require 'rails/generators'
require 'rails/generators/named_base'

module Rees46Spree
  module Generators
    class Rees46SpreeGenerator < ::Rails::Generators::Base
      source_root File.expand_path(File.join(File.dirname(__FILE__), 'templates'))

      argument :shop_token, :type => :string, :banner => 'shop_token', :default => 'YOUR_SHOP_TOKEN_HERE'

      def create_initializer
        exit if already_configured?

        route "mount Rees46Spree::Engine, at: '/rees46'"

        template 'initializer.rb', 'config/initializers/rees46_spree.rb',
          :assigns => { :shop_token => shop_token }
      end

      def already_configured?
        File.exists?('config/initializers/rees46_spree.rb')
      end
    end
  end
end
